## org.apache.lucene.store.instantiated
Class InstantiatedTermDocs

    java.lang.Object
      org.apache.lucene.store.instantiated.InstantiatedTermDocs

All Implemented Interfaces:
  org.apache.lucene.index.TermDocs

Direct Known Subclasses:
  InstantiatedTermPositions

    public class InstantiatedTermDocs

extends java.lang.Object
implements org.apache.lucene.index.TermDocs

A `TermDocs` navigating an `InstantiatedIndexReader`.

Field Summary
`protected InstantiatedTermDocumentInformation` `currentDocumentInformation`
`protected InstantiatedTerm` `currentTerm`

Constructor Summary
`InstantiatedTermDocs(InstantiatedIndexReader reader)`

Method Summary
`void` `close()` Does nothing
`int` `doc()`
`int` `freq()`
`boolean` `next()`
`int` `read(int[] docs, int[] freqs)`
`void` `seek(org.apache.lucene.index.Term term)`
`void` `seek(org.apache.lucene.index.TermEnum termEnum)`
`boolean` `skipTo(int target)` Skips entries to the first beyond the current whose document number is greater than or equal to target.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentDocumentInformation

    protected InstantiatedTermDocumentInformation currentDocumentInformation

### currentTerm

    protected InstantiatedTerm currentTerm

Constructor Detail

### InstantiatedTermDocs

    public InstantiatedTermDocs(InstantiatedIndexReader reader)

Method Detail

### seek

    public void seek(org.apache.lucene.index.Term term)

  Specified by:
    `seek` in interface `org.apache.lucene.index.TermDocs`

### seek

    public void seek(org.apache.lucene.index.TermEnum termEnum)

  Specified by:
    `seek` in interface `org.apache.lucene.index.TermDocs`

### doc

    public int doc()

  Specified by:
    `doc` in interface `org.apache.lucene.index.TermDocs`

### freq

    public int freq()

  Specified by:
    `freq` in interface `org.apache.lucene.index.TermDocs`

### next

    public boolean next()

  Specified by:
    `next` in interface `org.apache.lucene.index.TermDocs`

### read

    public int read(int[] docs,
                    int[] freqs)

  Specified by:
    `read` in interface `org.apache.lucene.index.TermDocs`

### skipTo

    public boolean skipTo(int target)

  Skips entries to the first beyond the current whose document number is greater than or equal to target.

  Returns true if there is such an entry.

  Behaves as if written:

         boolean skipTo(int target) {
           do {
             if (!next())
                   return false;
           } while (target > doc());
           return true;
         }

  This implementation is considerably more efficient than that.

  Specified by:
    `skipTo` in interface `org.apache.lucene.index.TermDocs`

### close

    public void close()

  Does nothing

  Specified by:
    `close` in interface `org.apache.lucene.index.TermDocs`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.